# stream_context_set_option

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

stream_context_set_option — Sets an option for a stream/wrapper/context

### Description

stream_context_set_option ( resource `$stream_or_context` , string `$wrapper` , string `$option` , mixed `$value` ) : bool
stream_context_set_option ( resource `$stream_or_context` , array `$options` ) : bool

Sets an option on the specified context. `value` is set to `option` for `wrapper`

### Parameters

`stream_or_context`

  The stream or context resource to apply the options to.

`options`

  The options to set for `stream_or_context`.

  > Note:

  > `options` must be an associative array of associative arrays in the format $arr['wrapper']['option'] = $value.

  > Refer to context options and parameters for a listing of stream options.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.